Bug 8678 - (int-155561) Overdue tasks should be displayed as today's
(int-155561)
: Overdue tasks should be displayed as today's
Status: RESOLVED FIXED
Product: Calendar
General
: 5.0/(3.2010.02-8)
: N900 Maemo
: Low normal with 4 votes (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: calendar-general-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-30 05:25 UTC by Dawid Lorenz
Modified: 2010-09-01 14:04 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Dawid Lorenz (reporter) 2010-01-30 05:25:33 UTC
SOFTWARE VERSION:
2009.51-1

EXACT STEPS LEADING TO PROBLEM: 
1. Create a task in calendar
2. Wait at least until next day 
3. Open up calendar again

EXPECTED OUTCOME:
Yesterday's (or generally overdue) task should be displayed in today's view -
as a "reminder" that it hasn't been done.
Note that this kind of behaviour is standard for calendar app in Nokia's
Symbian S60 devices.

ACTUAL OUTCOME:
Overdue task is displayed on the dure date - out of default today's view, hence
it's not clear that there's a task still pending upon opening up default agenda
view.

REPRODUCIBILITY:
Always.

OTHER COMMENTS:
Alternatively make due date field for tasks optional.

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; pl-PL; rv:1.9.1.6)
Gecko/20100107 Fedora/3.5.6-1.fc12 Firefox/3.5.6
Comment 1 Juha Linnanen 2010-02-15 10:06:53 UTC
*** This bug has been confirmed by popular vote. ***
Comment 2 Andre Klapper maemo.org 2010-03-02 18:19:15 UTC
This has been fixed in package
calendar-ui (0.6-19)
which is part of the internal build version
10.2010.08-18
(Note: 2009/2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 3 Andre Klapper maemo.org 2010-03-15 20:51:29 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).
Comment 4 Dawid Lorenz (reporter) 2010-05-26 20:54:29 UTC
Not fixed in PR1.2. Reopening.
Comment 5 Andre Klapper maemo.org 2010-05-28 00:56:20 UTC
Internal comment when fixing was:

"How to verify this bug:
1. Add new task for today -> Check that task is displayed with gray color.
2. Change date to tomorrow
3. Check that newly created task is displayed with Red on Task view

Note: Overdue Task highlighting is applicable for Task View only. 
Agenda view doesn't highlight such tasks."


So this still happens in day view to you?
Comment 6 Dawid Lorenz (reporter) 2010-05-28 01:17:25 UTC
(In reply to comment #5)
> Internal comment when fixing was:
> 
> "How to verify this bug:
> 1. Add new task for today -> Check that task is displayed with gray color.
> 2. Change date to tomorrow
> 3. Check that newly created task is displayed with Red on Task view
> 
> Note: Overdue Task highlighting is applicable for Task View only. 
> Agenda view doesn't highlight such tasks."
> 
> 
> So this still happens in day view to you?
> 

Sorry to say that, but there clearly was a COMPLETE misunderstanding about this
issue. What I requested originally was to display overdue tasks in day/agenda
view of *current* day (not original *due* date of the task).

Simple example:
Assume I have a task originally scheduled for 20/05, today is 27/05. Now, I
open a calendar in day/agenda view to see what my agenda is for *current* day
(27/05).

Actual outcome: 
I can't see my overdue task, I need to either go to tasks view or scroll agenda
backwards to 20/05 see that task.
(Note, when I scroll back or go to tasks, that tasks is highlighted red, which
is new addition of PR1.2)

Expected outcome:
I'd like to see overdue tasks straight away in 27/05 day/agenda view,
preferably highlighted red to indicate it is overdue.

Does that make sense now?
Comment 7 Andre Klapper maemo.org 2010-08-30 19:44:12 UTC
Uhm: Dawid, uhm, sorry...
Can you file a new bug report in that case and close this one again?
Comment 8 Dawid Lorenz (reporter) 2010-09-01 12:21:51 UTC
(In reply to comment #7)
> Uhm: Dawid, uhm, sorry...
> Can you file a new bug report in that case and close this one again?
> 

Submitted #11234
Comment 9 Andre Klapper maemo.org 2010-09-01 14:04:02 UTC
Thanks!